import '../../stencil.core';
import { BaseApi, ConfigService, TranslateService } from '@ema/core';
import { HttpService } from '@ema/rx';
import './web-comp';
import './web-comp-sub';
export declare class AppDev {
    private app;
    api: BaseApi;
    http: HttpService;
    config: ConfigService;
    translation: TranslateService;
    el: HTMLElement;
    data: any;
    authenticated: boolean;
    clientId: string;
    constructor();
    runTests(): Promise<void>;
    debuggerTest(): void;
    componentDidLoad(): void;
    render(): JSX.Element;
}
